/*
 * CSS Parser Project
 *
 * Copyright (C) 1999-2011 David Schweinsberg.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors of the library:
 *
 * http://cssparser.sourceforge.net/
 * mailto:davidsch@users.sourceforge.net
 *
 */

package com.steadystate.css.dom;

import java.io.Serializable;

import org.w3c.dom.DOMException;

import org.w3c.dom.css.CSS2Properties;

/**
 * Implementation of {@link CSS2Properties}.
 * TODO: implement
 *
 * @author <a href="mailto:davidsch@users.sourceforge.net">David Schweinsberg</a>
 */
public class CSS2PropertiesImpl implements CSS2Properties, Serializable {

    private static final long serialVersionUID = 6769757755750030077L;

    /**
     * Creates new CSS2PropertiesImpl
     */
    public CSS2PropertiesImpl() {
        super();
    }

    public String getAzimuth() {
        return null;
    }

    public void setAzimuth(final String azimuth) throws DOMException {
    }

    public String getBackground() {
        return null;
    }

    public void setBackground(final String background) throws DOMException {
    }

    public String getBackgroundAttachment() {
        return null;
    }

    public void setBackgroundAttachment(final String backgroundAttachment) throws DOMException {
    }

    public String getBackgroundColor() {
        return null;
    }

    public void setBackgroundColor(final String backgroundColor) throws DOMException {
    }

    public String getBackgroundImage() {
        return null;
    }

    public void setBackgroundImage(final String backgroundImage) throws DOMException {
    }

    public String getBackgroundPosition() {
        return null;
    }

    public void setBackgroundPosition(final String backgroundPosition) throws DOMException {
    }

    public String getBackgroundRepeat() {
        return null;
    }

    public void setBackgroundRepeat(final String backgroundRepeat) throws DOMException {
    }

    public String getBorder() {
        return null;
    }

    public void setBorder(final String border) throws DOMException {
    }

    public String getBorderCollapse() {
        return null;
    }

    public void setBorderCollapse(final String borderCollapse) throws DOMException {
    }

    public String getBorderColor() {
        return null;
    }

    public void setBorderColor(final String borderColor) throws DOMException {
    }

    public String getBorderSpacing() {
        return null;
    }

    public void setBorderSpacing(final String borderSpacing) throws DOMException {
    }

    public String getBorderStyle() {
        return null;
    }

    public void setBorderStyle(final String borderStyle) throws DOMException {
    }

    public String getBorderTop() {
        return null;
    }

    public void setBorderTop(final String borderTop) throws DOMException {
    }

    public String getBorderRight() {
        return null;
    }

    public void setBorderRight(final String borderRight) throws DOMException {
    }

    public String getBorderBottom() {
        return null;
    }

    public void setBorderBottom(final String borderBottom) throws DOMException {
    }

    public String getBorderLeft() {
        return null;
    }

    public void setBorderLeft(final String borderLeft) throws DOMException {
    }

    public String getBorderTopColor() {
        return null;
    }

    public void setBorderTopColor(final String borderTopColor) throws DOMException {
    }

    public String getBorderRightColor() {
        return null;
    }

    public void setBorderRightColor(final String borderRightColor) throws DOMException {
    }

    public String getBorderBottomColor() {
        return null;
    }

    public void setBorderBottomColor(final String borderBottomColor) throws DOMException {
    }

    public String getBorderLeftColor() {
        return null;
    }

    public void setBorderLeftColor(final String borderLeftColor) throws DOMException {
    }

    public String getBorderTopStyle() {
        return null;
    }

    public void setBorderTopStyle(final String borderTopStyle) throws DOMException {
    }

    public String getBorderRightStyle() {
        return null;
    }

    public void setBorderRightStyle(final String borderRightStyle) throws DOMException {
    }

    public String getBorderBottomStyle() {
        return null;
    }

    public void setBorderBottomStyle(final String borderBottomStyle) throws DOMException {
    }

    public String getBorderLeftStyle() {
        return null;
    }

    public void setBorderLeftStyle(final String borderLeftStyle) throws DOMException {
    }

    public String getBorderTopWidth() {
        return null;
    }

    public void setBorderTopWidth(final String borderTopWidth) throws DOMException {
    }

    public String getBorderRightWidth() {
        return null;
    }

    public void setBorderRightWidth(final String borderRightWidth) throws DOMException {
    }

    public String getBorderBottomWidth() {
        return null;
    }

    public void setBorderBottomWidth(final String borderBottomWidth) throws DOMException {
    }

    public String getBorderLeftWidth() {
        return null;
    }

    public void setBorderLeftWidth(final String borderLeftWidth) throws DOMException {
    }

    public String getBorderWidth() {
        return null;
    }

    public void setBorderWidth(final String borderWidth) throws DOMException {
    }

    public String getBottom() {
        return null;
    }

    public void setBottom(final String bottom) throws DOMException {
    }

    public String getCaptionSide() {
        return null;
    }

    public void setCaptionSide(final String captionSide) throws DOMException {
    }

    public String getClear() {
        return null;
    }

    public void setClear(final String clear) throws DOMException {
    }

    public String getClip() {
        return null;
    }

    public void setClip(final String clip) throws DOMException {
    }

    public String getColor() {
        return null;
    }

    public void setColor(final String color) throws DOMException {
    }

    public String getContent() {
        return null;
    }

    public void setContent(final String content) throws DOMException {
    }

    public String getCounterIncrement() {
        return null;
    }

    public void setCounterIncrement(final String counterIncrement) throws DOMException {
    }

    public String getCounterReset() {
        return null;
    }

    public void setCounterReset(final String counterReset) throws DOMException {
    }

    public String getCue() {
        return null;
    }

    public void setCue(final String cue) throws DOMException {
    }

    public String getCueAfter() {
        return null;
    }

    public void setCueAfter(final String cueAfter) throws DOMException {
    }

    public String getCueBefore() {
        return null;
    }

    public void setCueBefore(final String cueBefore) throws DOMException {
    }

    public String getCursor() {
        return null;
    }

    public void setCursor(final String cursor) throws DOMException {
    }

    public String getDirection() {
        return null;
    }

    public void setDirection(final String direction) throws DOMException {
    }

    public String getDisplay() {
        return null;
    }

    public void setDisplay(final String display) throws DOMException {
    }

    public String getElevation() {
        return null;
    }

    public void setElevation(final String elevation) throws DOMException {
    }

    public String getEmptyCells() {
        return null;
    }

    public void setEmptyCells(final String emptyCells) throws DOMException {
    }

    public String getCssFloat() {
        return null;
    }

    public void setCssFloat(final String cssFloat) throws DOMException {
    }

    public String getFont() {
        return null;
    }

    public void setFont(final String font) throws DOMException {
    }

    public String getFontFamily() {
        return null;
    }

    public void setFontFamily(final String fontFamily) throws DOMException {
    }

    public String getFontSize() {
        return null;
    }

    public void setFontSize(final String fontSize) throws DOMException {
    }

    public String getFontSizeAdjust() {
        return null;
    }

    public void setFontSizeAdjust(final String fontSizeAdjust) throws DOMException {
    }

    public String getFontStretch() {
        return null;
    }

    public void setFontStretch(final String fontStretch) throws DOMException {
    }

    public String getFontStyle() {
        return null;
    }

    public void setFontStyle(final String fontStyle) throws DOMException {
    }

    public String getFontVariant() {
        return null;
    }

    public void setFontVariant(final String fontVariant) throws DOMException {
    }

    public String getFontWeight() {
        return null;
    }

    public void setFontWeight(final String fontWeight) throws DOMException {
    }

    public String getHeight() {
        return null;
    }

    public void setHeight(final String height) throws DOMException {
    }

    public String getLeft() {
        return null;
    }

    public void setLeft(final String left) throws DOMException {
    }

    public String getLetterSpacing() {
        return null;
    }

    public void setLetterSpacing(final String letterSpacing) throws DOMException {
    }

    public String getLineHeight() {
        return null;
    }

    public void setLineHeight(final String lineHeight) throws DOMException {
    }

    public String getListStyle() {
        return null;
    }

    public void setListStyle(final String listStyle) throws DOMException {
    }

    public String getListStyleImage() {
        return null;
    }

    public void setListStyleImage(final String listStyleImage) throws DOMException {
    }

    public String getListStylePosition() {
        return null;
    }

    public void setListStylePosition(final String listStylePosition) throws DOMException {
    }

    public String getListStyleType() {
        return null;
    }

    public void setListStyleType(final String listStyleType) throws DOMException {
    }

    public String getMargin() {
        return null;
    }

    public void setMargin(final String margin) throws DOMException {
    }

    public String getMarginTop() {
        return null;
    }

    public void setMarginTop(final String marginTop) throws DOMException {
    }

    public String getMarginRight() {
        return null;
    }

    public void setMarginRight(final String marginRight) throws DOMException {
    }

    public String getMarginBottom() {
        return null;
    }

    public void setMarginBottom(final String marginBottom) throws DOMException {
    }

    public String getMarginLeft() {
        return null;
    }

    public void setMarginLeft(final String marginLeft) throws DOMException {
    }

    public String getMarkerOffset() {
        return null;
    }

    public void setMarkerOffset(final String markerOffset) throws DOMException {
    }

    public String getMarks() {
        return null;
    }

    public void setMarks(final String marks) throws DOMException {
    }

    public String getMaxHeight() {
        return null;
    }

    public void setMaxHeight(final String maxHeight) throws DOMException {
    }

    public String getMaxWidth() {
        return null;
    }

    public void setMaxWidth(final String maxWidth) throws DOMException {
    }

    public String getMinHeight() {
        return null;
    }

    public void setMinHeight(final String minHeight) throws DOMException {
    }

    public String getMinWidth() {
        return null;
    }

    public void setMinWidth(final String minWidth) throws DOMException {
    }

    public String getOrphans() {
        return null;
    }

    public void setOrphans(final String orphans) throws DOMException {
    }

    public String getOutline() {
        return null;
    }

    public void setOutline(final String outline) throws DOMException {
    }

    public String getOutlineColor() {
        return null;
    }

    public void setOutlineColor(final String outlineColor) throws DOMException {
    }

    public String getOutlineStyle() {
        return null;
    }

    public void setOutlineStyle(final String outlineStyle) throws DOMException {
    }

    public String getOutlineWidth() {
        return null;
    }

    public void setOutlineWidth(final String outlineWidth) throws DOMException {
    }

    public String getOverflow() {
        return null;
    }

    public void setOverflow(final String overflow) throws DOMException {
    }

    public String getPadding() {
        return null;
    }

    public void setPadding(final String padding) throws DOMException {
    }

    public String getPaddingTop() {
        return null;
    }

    public void setPaddingTop(final String paddingTop) throws DOMException {
    }

    public String getPaddingRight() {
        return null;
    }

    public void setPaddingRight(final String paddingRight) throws DOMException {
    }

    public String getPaddingBottom() {
        return null;
    }

    public void setPaddingBottom(final String paddingBottom) throws DOMException {
    }

    public String getPaddingLeft() {
        return null;
    }

    public void setPaddingLeft(final String paddingLeft) throws DOMException {
    }

    public String getPage() {
        return null;
    }

    public void setPage(final String page) throws DOMException {
    }

    public String getPageBreakAfter() {
        return null;
    }

    public void setPageBreakAfter(final String pageBreakAfter) throws DOMException {
    }

    public String getPageBreakBefore() {
        return null;
    }

    public void setPageBreakBefore(final String pageBreakBefore) throws DOMException {
    }

    public String getPageBreakInside() {
        return null;
    }

    public void setPageBreakInside(final String pageBreakInside) throws DOMException {
    }

    public String getPause() {
        return null;
    }

    public void setPause(final String pause) throws DOMException {
    }

    public String getPauseAfter() {
        return null;
    }

    public void setPauseAfter(final String pauseAfter) throws DOMException {
    }

    public String getPauseBefore() {
        return null;
    }

    public void setPauseBefore(final String pauseBefore) throws DOMException {
    }

    public String getPitch() {
        return null;
    }

    public void setPitch(final String pitch) throws DOMException {
    }

    public String getPitchRange() {
        return null;
    }

    public void setPitchRange(final String pitchRange) throws DOMException {
    }

    public String getPlayDuring() {
        return null;
    }

    public void setPlayDuring(final String playDuring) throws DOMException {
    }

    public String getPosition() {
        return null;
    }

    public void setPosition(final String position) throws DOMException {
    }

    public String getQuotes() {
        return null;
    }

    public void setQuotes(final String quotes) throws DOMException {
    }

    public String getRichness() {
        return null;
    }

    public void setRichness(final String richness) throws DOMException {
    }

    public String getRight() {
        return null;
    }

    public void setRight(final String right) throws DOMException {
    }

    public String getSize() {
        return null;
    }

    public void setSize(final String size) throws DOMException {
    }

    public String getSpeak() {
        return null;
    }

    public void setSpeak(final String speak) throws DOMException {
    }

    public String getSpeakHeader() {
        return null;
    }

    public void setSpeakHeader(final String speakHeader) throws DOMException {
    }

    public String getSpeakNumeral() {
        return null;
    }

    public void setSpeakNumeral(final String speakNumeral) throws DOMException {
    }

    public String getSpeakPunctuation() {
        return null;
    }

    public void setSpeakPunctuation(final String speakPunctuation) throws DOMException {
    }

    public String getSpeechRate() {
        return null;
    }

    public void setSpeechRate(final String speechRate) throws DOMException {
    }

    public String getStress() {
        return null;
    }

    public void setStress(final String stress) throws DOMException {
    }

    public String getTableLayout() {
        return null;
    }

    public void setTableLayout(final String tableLayout) throws DOMException {
    }

    public String getTextAlign() {
        return null;
    }

    public void setTextAlign(final String textAlign) throws DOMException {
    }

    public String getTextDecoration() {
        return null;
    }

    public void setTextDecoration(final String textDecoration) throws DOMException {
    }

    public String getTextIndent() {
        return null;
    }

    public void setTextIndent(final String textIndent) throws DOMException {
    }

    public String getTextShadow() {
        return null;
    }

    public void setTextShadow(final String textShadow) throws DOMException {
    }

    public String getTextTransform() {
        return null;
    }

    public void setTextTransform(final String textTransform) throws DOMException {
    }

    public String getTop() {
        return null;
    }

    public void setTop(final String top) throws DOMException {
    }

    public String getUnicodeBidi() {
        return null;
    }

    public void setUnicodeBidi(final String unicodeBidi) throws DOMException {
    }

    public String getVerticalAlign() {
        return null;
    }

    public void setVerticalAlign(final String verticalAlign) throws DOMException {
    }

    public String getVisibility() {
        return null;
    }

    public void setVisibility(final String visibility) throws DOMException {
    }

    public String getVoiceFamily() {
        return null;
    }

    public void setVoiceFamily(final String voiceFamily) throws DOMException {
    }

    public String getVolume() {
        return null;
    }

    public void setVolume(final String volume) throws DOMException {
    }

    public String getWhiteSpace() {
        return null;
    }

    public void setWhiteSpace(final String whiteSpace) throws DOMException {
    }

    public String getWidows() {
        return null;
    }

    public void setWidows(final String widows) throws DOMException {
    }

    public String getWidth() {
        return null;
    }

    public void setWidth(final String width) throws DOMException {
    }

    public String getWordSpacing() {
        return null;
    }

    public void setWordSpacing(final String wordSpacing) throws DOMException {
    }

    public String getZIndex() {
        return null;
    }

    public void setZIndex(final String zIndex) throws DOMException {
    }
}